#ifndef READSTRIPPER_HH 
#define READSTRIPPER_HH 1

#include "RequestManager.hh"
#include "Foundation.hh"

#include <list>
#include <set>
#include <map>

using libSlice::SliceData;
using libSlice::ConsensusData;

typedef set<string> StringSet;
typedef map<string, string> ReadMap;

class ReadStripper : public RequestManager
{
public:
  ReadStripper();
  ~ReadStripper();

  void addSlice(SliceData * slice);
  void addSliceRange(long & index, long & gindex);
  void addRequest(ConsensusRequest * request);
  void addReadData(ReadData * readData);

  int  printResults();

  static void handleOptions(Foundation * tf);

private:
  void printSlice(SliceData * slice);

  long m_newIndex;
  long m_newGindex;

  int m_readCount;
  ReadMap m_readMap;

  static int m_renumberReads;

  static string m_idstrip;
  static string m_idlistfilename;
  static string m_seqstrip;
  static string m_seqlistfilename;

  static StringSet m_stripIdSet;
  static StringSet m_stripNameSet;
};

#endif
